/**
 * Chat API SDK
 * The SDK allows you to receive and send messages through your WhatsApp account. [Sign up now](https://app.chat-api.com/)  The Chat API is based on the WhatsApp WEB protocol and excludes the ban both when using libraries from mgp25 and the like. Despite this, your account can be banned by anti-spam system WhatsApp after several clicking the \"block\" button.
 *
 * The version of the OpenAPI document: 1.0.0
 * Contact: sale@chat-api.com
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */


import ApiClient from './ApiClient';
import Ack from './model/Ack';
import BanSettings from './model/BanSettings';
import BanTestAction from './model/BanTestAction';
import BanTestStatus from './model/BanTestStatus';
import Chat from './model/Chat';
import ChatIdProp from './model/ChatIdProp';
import ChatUpdate from './model/ChatUpdate';
import Chats from './model/Chats';
import ClearActionsQueueStatus from './model/ClearActionsQueueStatus';
import ClearMessagesQueueStatus from './model/ClearMessagesQueueStatus';
import CreateGroupAction from './model/CreateGroupAction';
import CreateGroupStatus from './model/CreateGroupStatus';
import ForwardMessageRequest from './model/ForwardMessageRequest';
import GroupParticipantAction from './model/GroupParticipantAction';
import GroupParticipantStatus from './model/GroupParticipantStatus';
import InlineResponse200 from './model/InlineResponse200';
import InlineResponse2001 from './model/InlineResponse2001';
import InlineResponse2002 from './model/InlineResponse2002';
import InlineResponse2003 from './model/InlineResponse2003';
import InlineResponse2004 from './model/InlineResponse2004';
import InlineResponse2005 from './model/InlineResponse2005';
import InlineResponse2005Update from './model/InlineResponse2005Update';
import InlineResponse401 from './model/InlineResponse401';
import InstanceStatus from './model/InstanceStatus';
import InstanceStatusAction from './model/InstanceStatusAction';
import InstanceStatusLink from './model/InstanceStatusLink';
import InstanceStatusStatusData from './model/InstanceStatusStatusData';
import InstanceStatusStatusDataActions from './model/InstanceStatusStatusDataActions';
import Message from './model/Message';
import Messages from './model/Messages';
import OutboundAction from './model/OutboundAction';
import OutboundActions from './model/OutboundActions';
import OutboundMessage from './model/OutboundMessage';
import OutboundMessages from './model/OutboundMessages';
import PhoneProp from './model/PhoneProp';
import ReadChatAction from './model/ReadChatAction';
import ReadChatStatus from './model/ReadChatStatus';
import SendContactRequest from './model/SendContactRequest';
import SendFileRequest from './model/SendFileRequest';
import SendLinkRequest from './model/SendLinkRequest';
import SendLocationRequest from './model/SendLocationRequest';
import SendMessageRequest from './model/SendMessageRequest';
import SendMessageStatus from './model/SendMessageStatus';
import SendPTTRequest from './model/SendPTTRequest';
import SendVCardRequest from './model/SendVCardRequest';
import SetWebhookStatus from './model/SetWebhookStatus';
import Settings from './model/Settings';
import Status from './model/Status';
import Statuses from './model/Statuses';
import WebhookStatus from './model/WebhookStatus';
import WebhookUrl from './model/WebhookUrl';
import Class1InstanceApi from './api/Class1InstanceApi';
import Class2MessagesApi from './api/Class2MessagesApi';
import Class3ChatsApi from './api/Class3ChatsApi';
import Class4WebhooksApi from './api/Class4WebhooksApi';
import Class5QueuesApi from './api/Class5QueuesApi';
import Class6BanApi from './api/Class6BanApi';
import Class7TestingApi from './api/Class7TestingApi';


/**
* The_SDK_allows_you_to_receive_and_send_messages_through_your_WhatsApp_account___Sign_up_now_https__app_chat_api_com_The_Chat_API_is_based_on_the_WhatsApp_WEB_protocol_and_excludes_the_banboth_when_using_libraries_from_mgp25_and_the_like__Despite_this_youraccount_can_be_banned_by_anti_spam_system_WhatsApp_after_several_clickingthe_block_button_.<br>
* The <code>index</code> module provides access to constructors for all the classes which comprise the public API.
* <p>
* An AMD (recommended!) or CommonJS application will generally do something equivalent to the following:
* <pre>
* var ChatApiSdk = require('index'); // See note below*.
* var xxxSvc = new ChatApiSdk.XxxApi(); // Allocate the API class we're going to use.
* var yyyModel = new ChatApiSdk.Yyy(); // Construct a model instance.
* yyyModel.someProperty = 'someValue';
* ...
* var zzz = xxxSvc.doSomething(yyyModel); // Invoke the service.
* ...
* </pre>
* <em>*NOTE: For a top-level AMD script, use require(['index'], function(){...})
* and put the application logic within the callback function.</em>
* </p>
* <p>
* A non-AMD browser application (discouraged) might do something like this:
* <pre>
* var xxxSvc = new ChatApiSdk.XxxApi(); // Allocate the API class we're going to use.
* var yyy = new ChatApiSdk.Yyy(); // Construct a model instance.
* yyyModel.someProperty = 'someValue';
* ...
* var zzz = xxxSvc.doSomething(yyyModel); // Invoke the service.
* ...
* </pre>
* </p>
* @module index
* @version 1.0.0
*/
export {
    /**
     * The ApiClient constructor.
     * @property {module:ApiClient}
     */
    ApiClient,

    /**
     * The Ack model constructor.
     * @property {module:model/Ack}
     */
    Ack,

    /**
     * The BanSettings model constructor.
     * @property {module:model/BanSettings}
     */
    BanSettings,

    /**
     * The BanTestAction model constructor.
     * @property {module:model/BanTestAction}
     */
    BanTestAction,

    /**
     * The BanTestStatus model constructor.
     * @property {module:model/BanTestStatus}
     */
    BanTestStatus,

    /**
     * The Chat model constructor.
     * @property {module:model/Chat}
     */
    Chat,

    /**
     * The ChatIdProp model constructor.
     * @property {module:model/ChatIdProp}
     */
    ChatIdProp,

    /**
     * The ChatUpdate model constructor.
     * @property {module:model/ChatUpdate}
     */
    ChatUpdate,

    /**
     * The Chats model constructor.
     * @property {module:model/Chats}
     */
    Chats,

    /**
     * The ClearActionsQueueStatus model constructor.
     * @property {module:model/ClearActionsQueueStatus}
     */
    ClearActionsQueueStatus,

    /**
     * The ClearMessagesQueueStatus model constructor.
     * @property {module:model/ClearMessagesQueueStatus}
     */
    ClearMessagesQueueStatus,

    /**
     * The CreateGroupAction model constructor.
     * @property {module:model/CreateGroupAction}
     */
    CreateGroupAction,

    /**
     * The CreateGroupStatus model constructor.
     * @property {module:model/CreateGroupStatus}
     */
    CreateGroupStatus,

    /**
     * The ForwardMessageRequest model constructor.
     * @property {module:model/ForwardMessageRequest}
     */
    ForwardMessageRequest,

    /**
     * The GroupParticipantAction model constructor.
     * @property {module:model/GroupParticipantAction}
     */
    GroupParticipantAction,

    /**
     * The GroupParticipantStatus model constructor.
     * @property {module:model/GroupParticipantStatus}
     */
    GroupParticipantStatus,

    /**
     * The InlineResponse200 model constructor.
     * @property {module:model/InlineResponse200}
     */
    InlineResponse200,

    /**
     * The InlineResponse2001 model constructor.
     * @property {module:model/InlineResponse2001}
     */
    InlineResponse2001,

    /**
     * The InlineResponse2002 model constructor.
     * @property {module:model/InlineResponse2002}
     */
    InlineResponse2002,

    /**
     * The InlineResponse2003 model constructor.
     * @property {module:model/InlineResponse2003}
     */
    InlineResponse2003,

    /**
     * The InlineResponse2004 model constructor.
     * @property {module:model/InlineResponse2004}
     */
    InlineResponse2004,

    /**
     * The InlineResponse2005 model constructor.
     * @property {module:model/InlineResponse2005}
     */
    InlineResponse2005,

    /**
     * The InlineResponse2005Update model constructor.
     * @property {module:model/InlineResponse2005Update}
     */
    InlineResponse2005Update,

    /**
     * The InlineResponse401 model constructor.
     * @property {module:model/InlineResponse401}
     */
    InlineResponse401,

    /**
     * The InstanceStatus model constructor.
     * @property {module:model/InstanceStatus}
     */
    InstanceStatus,

    /**
     * The InstanceStatusAction model constructor.
     * @property {module:model/InstanceStatusAction}
     */
    InstanceStatusAction,

    /**
     * The InstanceStatusLink model constructor.
     * @property {module:model/InstanceStatusLink}
     */
    InstanceStatusLink,

    /**
     * The InstanceStatusStatusData model constructor.
     * @property {module:model/InstanceStatusStatusData}
     */
    InstanceStatusStatusData,

    /**
     * The InstanceStatusStatusDataActions model constructor.
     * @property {module:model/InstanceStatusStatusDataActions}
     */
    InstanceStatusStatusDataActions,

    /**
     * The Message model constructor.
     * @property {module:model/Message}
     */
    Message,

    /**
     * The Messages model constructor.
     * @property {module:model/Messages}
     */
    Messages,

    /**
     * The OutboundAction model constructor.
     * @property {module:model/OutboundAction}
     */
    OutboundAction,

    /**
     * The OutboundActions model constructor.
     * @property {module:model/OutboundActions}
     */
    OutboundActions,

    /**
     * The OutboundMessage model constructor.
     * @property {module:model/OutboundMessage}
     */
    OutboundMessage,

    /**
     * The OutboundMessages model constructor.
     * @property {module:model/OutboundMessages}
     */
    OutboundMessages,

    /**
     * The PhoneProp model constructor.
     * @property {module:model/PhoneProp}
     */
    PhoneProp,

    /**
     * The ReadChatAction model constructor.
     * @property {module:model/ReadChatAction}
     */
    ReadChatAction,

    /**
     * The ReadChatStatus model constructor.
     * @property {module:model/ReadChatStatus}
     */
    ReadChatStatus,

    /**
     * The SendContactRequest model constructor.
     * @property {module:model/SendContactRequest}
     */
    SendContactRequest,

    /**
     * The SendFileRequest model constructor.
     * @property {module:model/SendFileRequest}
     */
    SendFileRequest,

    /**
     * The SendLinkRequest model constructor.
     * @property {module:model/SendLinkRequest}
     */
    SendLinkRequest,

    /**
     * The SendLocationRequest model constructor.
     * @property {module:model/SendLocationRequest}
     */
    SendLocationRequest,

    /**
     * The SendMessageRequest model constructor.
     * @property {module:model/SendMessageRequest}
     */
    SendMessageRequest,

    /**
     * The SendMessageStatus model constructor.
     * @property {module:model/SendMessageStatus}
     */
    SendMessageStatus,

    /**
     * The SendPTTRequest model constructor.
     * @property {module:model/SendPTTRequest}
     */
    SendPTTRequest,

    /**
     * The SendVCardRequest model constructor.
     * @property {module:model/SendVCardRequest}
     */
    SendVCardRequest,

    /**
     * The SetWebhookStatus model constructor.
     * @property {module:model/SetWebhookStatus}
     */
    SetWebhookStatus,

    /**
     * The Settings model constructor.
     * @property {module:model/Settings}
     */
    Settings,

    /**
     * The Status model constructor.
     * @property {module:model/Status}
     */
    Status,

    /**
     * The Statuses model constructor.
     * @property {module:model/Statuses}
     */
    Statuses,

    /**
     * The WebhookStatus model constructor.
     * @property {module:model/WebhookStatus}
     */
    WebhookStatus,

    /**
     * The WebhookUrl model constructor.
     * @property {module:model/WebhookUrl}
     */
    WebhookUrl,

    /**
    * The Class1InstanceApi service constructor.
    * @property {module:api/Class1InstanceApi}
    */
    Class1InstanceApi,

    /**
    * The Class2MessagesApi service constructor.
    * @property {module:api/Class2MessagesApi}
    */
    Class2MessagesApi,

    /**
    * The Class3ChatsApi service constructor.
    * @property {module:api/Class3ChatsApi}
    */
    Class3ChatsApi,

    /**
    * The Class4WebhooksApi service constructor.
    * @property {module:api/Class4WebhooksApi}
    */
    Class4WebhooksApi,

    /**
    * The Class5QueuesApi service constructor.
    * @property {module:api/Class5QueuesApi}
    */
    Class5QueuesApi,

    /**
    * The Class6BanApi service constructor.
    * @property {module:api/Class6BanApi}
    */
    Class6BanApi,

    /**
    * The Class7TestingApi service constructor.
    * @property {module:api/Class7TestingApi}
    */
    Class7TestingApi
};
