/**
 * Chat API SDK
 * The SDK allows you to receive and send messages through your WhatsApp account. [Sign up now](https://app.chat-api.com/)  The Chat API is based on the WhatsApp WEB protocol and excludes the ban both when using libraries from mgp25 and the like. Despite this, your account can be banned by anti-spam system WhatsApp after several clicking the \"block\" button.
 *
 * The version of the OpenAPI document: 1.0.0
 * Contact: sale@chat-api.com
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */

import ApiClient from '../ApiClient';

/**
 * The ForwardMessageRequest model module.
 * @module model/ForwardMessageRequest
 * @version 1.0.0
 */
class ForwardMessageRequest {
    /**
     * Constructs a new <code>ForwardMessageRequest</code>.
     * @alias module:model/ForwardMessageRequest
     * @param messageId {String} Message ID | Message IDs array. Example: \"false_6590996758@c.us_3EB03104D2B84CEAD82F\" or [\"false_6590996758@c.us_3EB03104D2B84CEAD82F\", \"false_6590996758@c.us_3EB03104D2B84CEAD82G\"]
     */
    constructor(messageId) { 
        
        ForwardMessageRequest.initialize(this, messageId);
    }

    /**
     * Initializes the fields of this object.
     * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
     * Only for internal use.
     */
    static initialize(obj, messageId) { 
        obj['messageId'] = messageId;
    }

    /**
     * Constructs a <code>ForwardMessageRequest</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:model/ForwardMessageRequest} obj Optional instance to populate.
     * @return {module:model/ForwardMessageRequest} The populated <code>ForwardMessageRequest</code> instance.
     */
    static constructFromObject(data, obj) {
        if (data) {
            obj = obj || new ForwardMessageRequest();

            if (data.hasOwnProperty('chatId')) {
                obj['chatId'] = ApiClient.convertToType(data['chatId'], 'String');
            }
            if (data.hasOwnProperty('phone')) {
                obj['phone'] = ApiClient.convertToType(data['phone'], 'Number');
            }
            if (data.hasOwnProperty('messageId')) {
                obj['messageId'] = ApiClient.convertToType(data['messageId'], 'String');
            }
        }
        return obj;
    }


}

/**
 * **Required if phone is not set**  Chat ID from the message list. Examples: 17633123456@c.us for private messages and 17680561234-1479621234@g.us for the group. Used instead of the phone parameter.
 * @member {String} chatId
 */
ForwardMessageRequest.prototype['chatId'] = undefined;

/**
 * **Required if chatId is not set**  A phone number starting with the country code. You do not need to add your number.   USA example: 17472822486.
 * @member {Number} phone
 */
ForwardMessageRequest.prototype['phone'] = undefined;

/**
 * Message ID | Message IDs array. Example: \"false_6590996758@c.us_3EB03104D2B84CEAD82F\" or [\"false_6590996758@c.us_3EB03104D2B84CEAD82F\", \"false_6590996758@c.us_3EB03104D2B84CEAD82G\"]
 * @member {String} messageId
 */
ForwardMessageRequest.prototype['messageId'] = undefined;






export default ForwardMessageRequest;

