/**
 * Chat API SDK
 * The SDK allows you to receive and send messages through your WhatsApp account. [Sign up now](https://app.chat-api.com/)  The Chat API is based on the WhatsApp WEB protocol and excludes the ban both when using libraries from mgp25 and the like. Despite this, your account can be banned by anti-spam system WhatsApp after several clicking the \"block\" button.
 *
 * The version of the OpenAPI document: 1.0.0
 * Contact: sale@chat-api.com
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */

import ApiClient from '../ApiClient';
import InlineResponse2005Update from './InlineResponse2005Update';

/**
 * The InlineResponse2005 model module.
 * @module model/InlineResponse2005
 * @version 1.0.0
 */
class InlineResponse2005 {
    /**
     * Constructs a new <code>InlineResponse2005</code>.
     * @alias module:model/InlineResponse2005
     * @param update {module:model/InlineResponse2005Update} 
     */
    constructor(update) { 
        
        InlineResponse2005.initialize(this, update);
    }

    /**
     * Initializes the fields of this object.
     * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
     * Only for internal use.
     */
    static initialize(obj, update) { 
        obj['update'] = update;
    }

    /**
     * Constructs a <code>InlineResponse2005</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:model/InlineResponse2005} obj Optional instance to populate.
     * @return {module:model/InlineResponse2005} The populated <code>InlineResponse2005</code> instance.
     */
    static constructFromObject(data, obj) {
        if (data) {
            obj = obj || new InlineResponse2005();

            if (data.hasOwnProperty('webhookUrl')) {
                obj['webhookUrl'] = ApiClient.convertToType(data['webhookUrl'], 'String');
            }
            if (data.hasOwnProperty('ackNotificationsOn')) {
                obj['ackNotificationsOn'] = ApiClient.convertToType(data['ackNotificationsOn'], 'Boolean');
            }
            if (data.hasOwnProperty('chatUpdateOn')) {
                obj['chatUpdateOn'] = ApiClient.convertToType(data['chatUpdateOn'], 'Boolean');
            }
            if (data.hasOwnProperty('videoUploadOn')) {
                obj['videoUploadOn'] = ApiClient.convertToType(data['videoUploadOn'], 'Boolean');
            }
            if (data.hasOwnProperty('proxy')) {
                obj['proxy'] = ApiClient.convertToType(data['proxy'], 'String');
            }
            if (data.hasOwnProperty('guaranteedHooks')) {
                obj['guaranteedHooks'] = ApiClient.convertToType(data['guaranteedHooks'], 'Boolean');
            }
            if (data.hasOwnProperty('ignoreOldMessages')) {
                obj['ignoreOldMessages'] = ApiClient.convertToType(data['ignoreOldMessages'], 'Boolean');
            }
            if (data.hasOwnProperty('processArchive')) {
                obj['processArchive'] = ApiClient.convertToType(data['processArchive'], 'Boolean');
            }
            if (data.hasOwnProperty('instanceStatuses')) {
                obj['instanceStatuses'] = ApiClient.convertToType(data['instanceStatuses'], 'Boolean');
            }
            if (data.hasOwnProperty('webhookStatuses')) {
                obj['webhookStatuses'] = ApiClient.convertToType(data['webhookStatuses'], 'Boolean');
            }
            if (data.hasOwnProperty('statusNotificationsOn')) {
                obj['statusNotificationsOn'] = ApiClient.convertToType(data['statusNotificationsOn'], 'Boolean');
            }
            if (data.hasOwnProperty('update')) {
                obj['update'] = InlineResponse2005Update.constructFromObject(data['update']);
            }
        }
        return obj;
    }


}

/**
 * @member {String} webhookUrl
 */
InlineResponse2005.prototype['webhookUrl'] = undefined;

/**
 * @member {Boolean} ackNotificationsOn
 */
InlineResponse2005.prototype['ackNotificationsOn'] = undefined;

/**
 * @member {Boolean} chatUpdateOn
 */
InlineResponse2005.prototype['chatUpdateOn'] = undefined;

/**
 * @member {Boolean} videoUploadOn
 */
InlineResponse2005.prototype['videoUploadOn'] = undefined;

/**
 * @member {String} proxy
 */
InlineResponse2005.prototype['proxy'] = undefined;

/**
 * @member {Boolean} guaranteedHooks
 */
InlineResponse2005.prototype['guaranteedHooks'] = undefined;

/**
 * @member {Boolean} ignoreOldMessages
 */
InlineResponse2005.prototype['ignoreOldMessages'] = undefined;

/**
 * @member {Boolean} processArchive
 */
InlineResponse2005.prototype['processArchive'] = undefined;

/**
 * @member {Boolean} instanceStatuses
 */
InlineResponse2005.prototype['instanceStatuses'] = undefined;

/**
 * @member {Boolean} webhookStatuses
 */
InlineResponse2005.prototype['webhookStatuses'] = undefined;

/**
 * @member {Boolean} statusNotificationsOn
 */
InlineResponse2005.prototype['statusNotificationsOn'] = undefined;

/**
 * @member {module:model/InlineResponse2005Update} update
 */
InlineResponse2005.prototype['update'] = undefined;






export default InlineResponse2005;

