/**
 * Chat API SDK
 * The SDK allows you to receive and send messages through your WhatsApp account. [Sign up now](https://app.chat-api.com/)  The Chat API is based on the WhatsApp WEB protocol and excludes the ban both when using libraries from mgp25 and the like. Despite this, your account can be banned by anti-spam system WhatsApp after several clicking the \"block\" button.
 *
 * The version of the OpenAPI document: 1.0.0
 * Contact: sale@chat-api.com
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */

import ApiClient from '../ApiClient';
import InstanceStatusStatusDataActions from './InstanceStatusStatusDataActions';

/**
 * The InstanceStatusStatusData model module.
 * @module model/InstanceStatusStatusData
 * @version 1.0.0
 */
class InstanceStatusStatusData {
    /**
     * Constructs a new <code>InstanceStatusStatusData</code>.
     * More information about instance status
     * @alias module:model/InstanceStatusStatusData
     */
    constructor() { 
        
        InstanceStatusStatusData.initialize(this);
    }

    /**
     * Initializes the fields of this object.
     * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
     * Only for internal use.
     */
    static initialize(obj) { 
    }

    /**
     * Constructs a <code>InstanceStatusStatusData</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:model/InstanceStatusStatusData} obj Optional instance to populate.
     * @return {module:model/InstanceStatusStatusData} The populated <code>InstanceStatusStatusData</code> instance.
     */
    static constructFromObject(data, obj) {
        if (data) {
            obj = obj || new InstanceStatusStatusData();

            if (data.hasOwnProperty('substatus')) {
                obj['substatus'] = ApiClient.convertToType(data['substatus'], 'String');
            }
            if (data.hasOwnProperty('title')) {
                obj['title'] = ApiClient.convertToType(data['title'], 'String');
            }
            if (data.hasOwnProperty('msg')) {
                obj['msg'] = ApiClient.convertToType(data['msg'], 'String');
            }
            if (data.hasOwnProperty('submsg')) {
                obj['submsg'] = ApiClient.convertToType(data['submsg'], 'String');
            }
            if (data.hasOwnProperty('actions')) {
                obj['actions'] = InstanceStatusStatusDataActions.constructFromObject(data['actions']);
            }
            if (data.hasOwnProperty('reason')) {
                obj['reason'] = ApiClient.convertToType(data['reason'], 'String');
            }
        }
        return obj;
    }


}

/**
 * Instance Substatus
 * @member {module:model/InstanceStatusStatusData.SubstatusEnum} substatus
 */
InstanceStatusStatusData.prototype['substatus'] = undefined;

/**
 * Status title in the language of the instance
 * @member {String} title
 */
InstanceStatusStatusData.prototype['title'] = undefined;

/**
 * Status message in the language of the instance
 * @member {String} msg
 */
InstanceStatusStatusData.prototype['msg'] = undefined;

/**
 * Additional status message in the language of the instance
 * @member {String} submsg
 */
InstanceStatusStatusData.prototype['submsg'] = undefined;

/**
 * @member {module:model/InstanceStatusStatusDataActions} actions
 */
InstanceStatusStatusData.prototype['actions'] = undefined;

/**
 * The reason why the instance is in \"loading\" status
 * @member {module:model/InstanceStatusStatusData.ReasonEnum} reason
 */
InstanceStatusStatusData.prototype['reason'] = undefined;





/**
 * Allowed values for the <code>substatus</code> property.
 * @enum {String}
 * @readonly
 */
InstanceStatusStatusData['SubstatusEnum'] = {

    /**
     * value: "normal"
     * @const
     */
    "normal": "normal",

    /**
     * value: "loading"
     * @const
     */
    "loading": "loading",

    /**
     * value: "offline"
     * @const
     */
    "offline": "offline",

    /**
     * value: "expired"
     * @const
     */
    "expired": "expired",

    /**
     * value: "opening"
     * @const
     */
    "opening": "opening",

    /**
     * value: "pairing"
     * @const
     */
    "pairing": "pairing",

    /**
     * value: "timeout"
     * @const
     */
    "timeout": "timeout",

    /**
     * value: "computer"
     * @const
     */
    "computer": "computer",

    /**
     * value: "phone"
     * @const
     */
    "phone": "phone",

    /**
     * value: "battery_low_1"
     * @const
     */
    "battery_low_1": "battery_low_1",

    /**
     * value: "battery_low_2"
     * @const
     */
    "battery_low_2": "battery_low_2"
};


/**
 * Allowed values for the <code>reason</code> property.
 * @enum {String}
 * @readonly
 */
InstanceStatusStatusData['ReasonEnum'] = {

    /**
     * value: "connecting"
     * @const
     */
    "connecting": "connecting",

    /**
     * value: "syncing"
     * @const
     */
    "syncing": "syncing",

    /**
     * value: "offline"
     * @const
     */
    "offline": "offline",

    /**
     * value: "proxyblock"
     * @const
     */
    "proxyblock": "proxyblock",

    /**
     * value: "conflict"
     * @const
     */
    "conflict": "conflict"
};



export default InstanceStatusStatusData;

