/**
 * Chat API SDK
 * The SDK allows you to receive and send messages through your WhatsApp account. [Sign up now](https://app.chat-api.com/)  The Chat API is based on the WhatsApp WEB protocol and excludes the ban both when using libraries from mgp25 and the like. Despite this, your account can be banned by anti-spam system WhatsApp after several clicking the \"block\" button.
 *
 * The version of the OpenAPI document: 1.0.0
 * Contact: sale@chat-api.com
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */

import ApiClient from '../ApiClient';
import InstanceStatusAction from './InstanceStatusAction';
import InstanceStatusLink from './InstanceStatusLink';

/**
 * The InstanceStatusStatusDataActions model module.
 * @module model/InstanceStatusStatusDataActions
 * @version 1.0.0
 */
class InstanceStatusStatusDataActions {
    /**
     * Constructs a new <code>InstanceStatusStatusDataActions</code>.
     * Actions that can be applied to change the status
     * @alias module:model/InstanceStatusStatusDataActions
     */
    constructor() { 
        
        InstanceStatusStatusDataActions.initialize(this);
    }

    /**
     * Initializes the fields of this object.
     * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
     * Only for internal use.
     */
    static initialize(obj) { 
    }

    /**
     * Constructs a <code>InstanceStatusStatusDataActions</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:model/InstanceStatusStatusDataActions} obj Optional instance to populate.
     * @return {module:model/InstanceStatusStatusDataActions} The populated <code>InstanceStatusStatusDataActions</code> instance.
     */
    static constructFromObject(data, obj) {
        if (data) {
            obj = obj || new InstanceStatusStatusDataActions();

            if (data.hasOwnProperty('expiry')) {
                obj['expiry'] = InstanceStatusAction.constructFromObject(data['expiry']);
            }
            if (data.hasOwnProperty('retry')) {
                obj['retry'] = InstanceStatusAction.constructFromObject(data['retry']);
            }
            if (data.hasOwnProperty('logout')) {
                obj['logout'] = InstanceStatusAction.constructFromObject(data['logout']);
            }
            if (data.hasOwnProperty('takeover')) {
                obj['takeover'] = InstanceStatusAction.constructFromObject(data['takeover']);
            }
            if (data.hasOwnProperty('learn_more')) {
                obj['learn_more'] = InstanceStatusLink.constructFromObject(data['learn_more']);
            }
        }
        return obj;
    }


}

/**
 * @member {module:model/InstanceStatusAction} expiry
 */
InstanceStatusStatusDataActions.prototype['expiry'] = undefined;

/**
 * @member {module:model/InstanceStatusAction} retry
 */
InstanceStatusStatusDataActions.prototype['retry'] = undefined;

/**
 * @member {module:model/InstanceStatusAction} logout
 */
InstanceStatusStatusDataActions.prototype['logout'] = undefined;

/**
 * @member {module:model/InstanceStatusAction} takeover
 */
InstanceStatusStatusDataActions.prototype['takeover'] = undefined;

/**
 * @member {module:model/InstanceStatusLink} learn_more
 */
InstanceStatusStatusDataActions.prototype['learn_more'] = undefined;






export default InstanceStatusStatusDataActions;

