/**
 * Chat API SDK
 * The SDK allows you to receive and send messages through your WhatsApp account. [Sign up now](https://app.chat-api.com/)  The Chat API is based on the WhatsApp WEB protocol and excludes the ban both when using libraries from mgp25 and the like. Despite this, your account can be banned by anti-spam system WhatsApp after several clicking the \"block\" button.
 *
 * The version of the OpenAPI document: 1.0.0
 * Contact: sale@chat-api.com
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */

import ApiClient from '../ApiClient';

/**
 * The OutboundAction model module.
 * @module model/OutboundAction
 * @version 1.0.0
 */
class OutboundAction {
    /**
     * Constructs a new <code>OutboundAction</code>.
     * @alias module:model/OutboundAction
     */
    constructor() { 
        
        OutboundAction.initialize(this);
    }

    /**
     * Initializes the fields of this object.
     * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
     * Only for internal use.
     */
    static initialize(obj) { 
    }

    /**
     * Constructs a <code>OutboundAction</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:model/OutboundAction} obj Optional instance to populate.
     * @return {module:model/OutboundAction} The populated <code>OutboundAction</code> instance.
     */
    static constructFromObject(data, obj) {
        if (data) {
            obj = obj || new OutboundAction();

            if (data.hasOwnProperty('id')) {
                obj['id'] = ApiClient.convertToType(data['id'], 'Number');
            }
            if (data.hasOwnProperty('type')) {
                obj['type'] = ApiClient.convertToType(data['type'], 'String');
            }
            if (data.hasOwnProperty('last_try')) {
                obj['last_try'] = ApiClient.convertToType(data['last_try'], 'Number');
            }
            if (data.hasOwnProperty('json_data')) {
                obj['json_data'] = ApiClient.convertToType(data['json_data'], Object);
            }
        }
        return obj;
    }


}

/**
 * action id in queue
 * @member {Number} id
 */
OutboundAction.prototype['id'] = undefined;

/**
 * type of the action in queue
 * @member {module:model/OutboundAction.TypeEnum} type
 */
OutboundAction.prototype['type'] = undefined;

/**
 * Last try time to execute a action
 * @member {Number} last_try
 */
OutboundAction.prototype['last_try'] = undefined;

/**
 * Additional action data
 * @member {Object} json_data
 */
OutboundAction.prototype['json_data'] = undefined;





/**
 * Allowed values for the <code>type</code> property.
 * @enum {String}
 * @readonly
 */
OutboundAction['TypeEnum'] = {

    /**
     * value: "create group"
     * @const
     */
    "create group": "create group",

    /**
     * value: "add group participant"
     * @const
     */
    "add group participant": "add group participant",

    /**
     * value: "remove group participant"
     * @const
     */
    "remove group participant": "remove group participant",

    /**
     * value: "promote group participant"
     * @const
     */
    "promote group participant": "promote group participant",

    /**
     * value: "demote group participant"
     * @const
     */
    "demote group participant": "demote group participant",

    /**
     * value: "read chat"
     * @const
     */
    "read chat": "read chat"
};



export default OutboundAction;

