/**
 * Chat API SDK
 * The SDK allows you to receive and send messages through your WhatsApp account. [Sign up now](https://app.chat-api.com/)  The Chat API is based on the WhatsApp WEB protocol and excludes the ban both when using libraries from mgp25 and the like. Despite this, your account can be banned by anti-spam system WhatsApp after several clicking the \"block\" button.
 *
 * The version of the OpenAPI document: 1.0.0
 * Contact: sale@chat-api.com
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */

import ApiClient from '../ApiClient';

/**
 * The SendLinkRequest model module.
 * @module model/SendLinkRequest
 * @version 1.0.0
 */
class SendLinkRequest {
    /**
     * Constructs a new <code>SendLinkRequest</code>.
     * @alias module:model/SendLinkRequest
     * @param body {String} HTTP or HTTPS link, for example *https://wikimedia.org*
     * @param previewBase64 {String} Base64-encoded file with mime data, for example *data:image/jpeg;base64,/9j/4AAQSkZJRgABAQ...* for link's preview
     * @param title {String} Title for send link
     */
    constructor(body, previewBase64, title) { 
        
        SendLinkRequest.initialize(this, body, previewBase64, title);
    }

    /**
     * Initializes the fields of this object.
     * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
     * Only for internal use.
     */
    static initialize(obj, body, previewBase64, title) { 
        obj['body'] = body;
        obj['previewBase64'] = previewBase64;
        obj['title'] = title;
    }

    /**
     * Constructs a <code>SendLinkRequest</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:model/SendLinkRequest} obj Optional instance to populate.
     * @return {module:model/SendLinkRequest} The populated <code>SendLinkRequest</code> instance.
     */
    static constructFromObject(data, obj) {
        if (data) {
            obj = obj || new SendLinkRequest();

            if (data.hasOwnProperty('chatId')) {
                obj['chatId'] = ApiClient.convertToType(data['chatId'], 'String');
            }
            if (data.hasOwnProperty('phone')) {
                obj['phone'] = ApiClient.convertToType(data['phone'], 'Number');
            }
            if (data.hasOwnProperty('body')) {
                obj['body'] = ApiClient.convertToType(data['body'], 'String');
            }
            if (data.hasOwnProperty('previewBase64')) {
                obj['previewBase64'] = ApiClient.convertToType(data['previewBase64'], 'String');
            }
            if (data.hasOwnProperty('title')) {
                obj['title'] = ApiClient.convertToType(data['title'], 'String');
            }
            if (data.hasOwnProperty('description')) {
                obj['description'] = ApiClient.convertToType(data['description'], 'String');
            }
        }
        return obj;
    }


}

/**
 * **Required if phone is not set**  Chat ID from the message list. Examples: 17633123456@c.us for private messages and 17680561234-1479621234@g.us for the group. Used instead of the phone parameter.
 * @member {String} chatId
 */
SendLinkRequest.prototype['chatId'] = undefined;

/**
 * **Required if chatId is not set**  A phone number starting with the country code. You do not need to add your number.   USA example: 17472822486.
 * @member {Number} phone
 */
SendLinkRequest.prototype['phone'] = undefined;

/**
 * HTTP or HTTPS link, for example *https://wikimedia.org*
 * @member {String} body
 */
SendLinkRequest.prototype['body'] = undefined;

/**
 * Base64-encoded file with mime data, for example *data:image/jpeg;base64,/9j/4AAQSkZJRgABAQ...* for link's preview
 * @member {String} previewBase64
 */
SendLinkRequest.prototype['previewBase64'] = undefined;

/**
 * Title for send link
 * @member {String} title
 */
SendLinkRequest.prototype['title'] = undefined;

/**
 * Description for send link
 * @member {String} description
 */
SendLinkRequest.prototype['description'] = undefined;






export default SendLinkRequest;

